Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class PropertiesConfigurationLayout.PropertyLayoutData

    java.lang.Object
      org.apache.commons.configuration.PropertiesConfigurationLayout.PropertyLayoutData

All Implemented Interfaces:
  Cloneable

Enclosing class:
  PropertiesConfigurationLayout

    static class PropertiesConfigurationLayout.PropertyLayoutData

extends Object
implements Cloneable

A helper class for storing all layout related information for a configuration property.

Constructor Summary
`PropertiesConfigurationLayout.PropertyLayoutData()` Creates a new instance of `PropertyLayoutData`.

Method Summary
`void` | `addComment(String s)` Adds a comment for this property.
`Object` | `clone()` Creates a copy of this object.
`int` | `getBlancLines()` Returns the number of blanc lines before this property.
`String` | `getComment()` Returns the comment for this property.
`boolean` | `isSingleLine()` Returns the single line flag.
`void` | `setBlancLines(int blancLines)` Sets the number of properties before this property.
`void` | `setComment(String s)` Sets the comment for this property.
`void` | `setSingleLine(boolean singleLine)` Sets the single line flag.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesConfigurationLayout.PropertyLayoutData

    public PropertiesConfigurationLayout.PropertyLayoutData()

  Creates a new instance of `PropertyLayoutData`.

Method Detail

### getBlancLines

    public int getBlancLines()

  Returns the number of blanc lines before this property.

  Returns:
    the number of blanc lines before this property

### setBlancLines

    public void setBlancLines(int blancLines)

  Sets the number of properties before this property.

  Parameters:
    `blancLines` - the number of properties before this property

### isSingleLine

    public boolean isSingleLine()

  Returns the single line flag.

  Returns:
    the single line flag

### setSingleLine

    public void setSingleLine(boolean singleLine)

  Sets the single line flag.

  Parameters:
    `singleLine` - the single line flag

### addComment

    public void addComment(String s)

  Adds a comment for this property. If already a comment exists, the new comment is added (separated by a newline).

  Parameters:
    `s` - the comment to add

### setComment

    public void setComment(String s)

  Sets the comment for this property.

  Parameters:
    `s` - the new comment (can be null)

### getComment

    public String getComment()

  Returns the comment for this property. The comment is returned as it is, without processing of comment characters.

  Returns:
    the comment (can be null)

### clone

    public Object clone()

  Creates a copy of this object.

  Overrides:
    `clone` in class `Object`
  Returns:
    the copy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.